/*
 * $Id: 
 */
#define AROS_ALMOST_COMPATIBLE
#include "global.h"

#define DEBUG 0
#include <aros/debug.h>

void LoadLogServerPrefs(char *filename)
{
	BPTR	MyFile;

	D(bug("IPrefs: LogServer <%s>\n",filename));

	if ((MyFile = Open(filename,MODE_OLDFILE)))
	{
		UBYTE _fib[sizeof(struct FileInfoBlock) + 3];
		struct FileInfoBlock *fib = (APTR) ((((IPTR) _fib) + 3) & ~3);
		LONG FileSize;

		if (ExamineFH(MyFile, fib) && (FileSize = fib->fib_Size) > 0)
		{
			char	*MyData;

			if (FileSize < 0x7fffff00 && (MyData = AllocVec(FileSize + 1, MEMF_PUBLIC)))
			{
				struct Library	*LogBase;
				if ((LogBase=OpenLibrary("log.library",0)))
				{
					if ((LogBase->lib_Version > 51) ||
					    ((LogBase->lib_Version == 51) && (LogBase->lib_Revision >= 15)))
					{
						if (Read(MyFile,MyData,FileSize)==FileSize)
						{
							if (LogConfig(MyData))
							{
								D(bug("IPrefs: set LogServer config\n"));
							}
							else
							{
								D(bug("IPrefs: error %ld parsing config data\n",IoErr()));
							}
						}
						else
						{
							D(bug("IPrefs: prefs readerror %ld\n",IoErr()));
						}
					}
					else
					{
						D(bug("IPrefs: log.server %d.%d too old\n",LogBase->lib_Version,LogBase->lib_Revision));
					}
					CloseLibrary(LogBase);
				}
				else
				{
					D(bug("IPrefs: can't open log.library\n"));
				}
			}
			else
			{
				D(bug("IPrefs: no enough memory for %ld bytes\n",FileSize));
			}
		}
		else
		{
			D(bug("IPrefs: examine error or no file content\n"));
		}

		Close(MyFile);
	}
	else
	{
		D(bug("IPrefs: file not found\n"));
	}
	D(bug("IPrefs: LogServer done\n"));
}
